素敵なサムシングを独断と偏見で一方的に紹介するブログ(´・ω・`)

IT

【VSCode】「Cannot inline bytecode built with JVM target 1.8 into bytecode that is being built with JVM target 1.6~ 」の解決方法【Kotlin】

投稿日:

スポンサーリンク

336×280




Cannot inline bytecode built with JVM target 1.8 into bytecode that is being built with JVM target 1.6. Please specify proper ‘-jvm-target’ option

JVMバージョンの不一致が原因

VSCodeを使ってKotlinの開発をしようとした際に、以下のようなエラーが発生する事があります。

調べてみたところ、こちらはJVMのバージョンの不一致が原因のようですね。

しかしご安心を。
VSCode自体にも該当の設定をする部分があるのでそちらを修正する事で解決出来そうなので早速解決していきましょう。

解決方法

KotlinのJVMターゲットを変更

設定画面からKotlinJVMターゲットを確認してみましょう。

見たところ、defaultになっていますね。

こちらを1.8と指定する事でなんとかなるとの事!

確かに無事に解決されましたね♪

本日のオススメ商品

終わりに

以上のように原因さえ分かれば秒殺出来る問題でした。

VSCodeを使ってKotlin開発しようと思っている方は是非覚えておくと良いでしょう♪

336×280




336×280




CATEGORIES & TAGS

IT, , , , , , , , ,

blogenist

Author: blogenist

関連記事

YouTube

お名前.comサイドバー